#!/bin/sh
#---------------------------------*- sh -*-------------------------------------
# ==  == ====== ====   ====    |
#                   \\     ||  | HZDR Multiphase Addon for OpenFOAM
# ======   //   ||  || ===//   | Website: https://doi.org/10.14278/rodare.767
# ||  ||  //    ||  // || \\   | License: GPL-3.0-or-later
# ==  == ====== ====   ==  ==  |
#------------------------------------------------------------------------------
# License
#     This file is part of the HZDR Multiphase Addon for OpenFOAM.
#
#     Copyright (C) 2023 Helmholtz-Zentrum Dresden-Rossendorf
#
#     HZDR Multiphase Addon for OpenFOAM is free software:
#     you can redistribute it and/or modify it under the terms of the
#     GNU General Public License as published by the Free Software Foundation,
#     either version 3 of the License, or (at your option) any later version.
#
#     HZDR Multiphase Addon for OpenFOAM is distributed in the
#     hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
#     implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#     See the GNU General Public License for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with the HZDR Multiphase Addon for OpenFOAM.
#     If not, see <http://www.gnu.org/licenses/>.
#
# Description
#     Script that creates links for addon libraries that are named with the
#     deprecated HZDR prefix in support of backwards compatibility.
#
#------------------------------------------------------------------------------

dir="$(pwd)/platforms/${WM_ARCH}${WM_COMPILER}${WM_PRECISION_OPTION}${WM_LABEL_OPTION}${WM_COMPILE_OPTION}/lib"

ln -sf "${dir}"/libaddonDecompositionMethods.so "${dir}"/libHZDRDecompositionMethods.so
ln -sf "${dir}"/libaddonEulerianInterfacialCompositionModels.so "${dir}"/libHZDReulerianInterfacialCompositionModels.so
ln -sf "${dir}"/libaddonEulerianInterfacialModels.so "${dir}"/libHZDReulerianInterfacialModels.so
ln -sf "${dir}"/libaddonFieldFunctionObjects.so "${dir}"/libHZDRfieldFunctionObjects.so
ln -sf "${dir}"/libaddonFvMotionSolvers.so "${dir}"/libHZDRfvMotionSolvers.so
ln -sf "${dir}"/libaddonGraphicalFunctionObjects.so "${dir}"/libHZDRgraphicalFunctionObjects.so
ln -sf "${dir}"/libaddonIncompressibleMomentumTransportModels.so "${dir}"/libHZDRincompressibleMomentumTransportModels.so
ln -sf "${dir}"/libaddonMomentumTransportModels.so "${dir}"/libHZDRmomentumTransportModels.so
ln -sf "${dir}"/libaddonMultiphaseEulerFoamFunctionObjects.so "${dir}"/libHZDRmultiphaseEulerFoamFunctionObjects.so
ln -sf "${dir}"/libaddonMultiphaseEulerFoamFvModels.so "${dir}"/libHZDRmultiphaseEulerFoamFvModels.so
ln -sf "${dir}"/libaddonMultiphaseMomentumTransportModels.so "${dir}"/libHZDRmultiphaseMomentumTransportModels.so
ln -sf "${dir}"/libaddonMultiphaseReactions.so "${dir}"/libHZDRmultiphaseReactions.so
ln -sf "${dir}"/libaddonMultiphaseSystems.so "${dir}"/libHZDRmultiphaseSystems.so
ln -sf "${dir}"/libaddonPhaseCompressibleMomentumTransportModels.so "${dir}"/libHZDRphaseCompressibleMomentumTransportModels.so
ln -sf "${dir}"/libaddonPhaseSystem.so "${dir}"/libHZDRphaseSystem.so
ln -sf "${dir}"/libaddonScotchDecomp.so "${dir}"/libHZDRScotchDecomp.so